W3cubDocs

/WordPress

user_can_edit_post( int $user_id, int $post_id, int $blog_id = 1 )

This function has been deprecated. Use current_user_can() instead.

Whether user can edit a post.

Description

See also

Parameters

$user_id

(int) (Required)

$post_id

(int) (Required)

$blog_id

(int) (Optional) Not Used

Default value: 1

Return

(bool)

Source

File: wp-includes/deprecated.php

function user_can_edit_post($user_id, $post_id, $blog_id = 1) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'current_user_can()' );

	$author_data = get_userdata($user_id);
	$post = get_post($post_id);
	$post_author_data = get_userdata($post->post_author);

	if ( (($user_id == $post_author_data->ID) && !($post->post_status == 'publish' && $author_data->user_level < 2))
			 || ($author_data->user_level > $post_author_data->user_level)
			 || ($author_data->user_level >= 10) ) {
		return true;
	} else {
		return false;
	}
}

Changelog

Version Description
2.0.0 Use current_user_can()
1.5.0 Introduced.

© 2003–2019 WordPress Foundation
Licensed under the GNU GPLv2+ License.
https://developer.wordpress.org/reference/functions/user_can_edit_post